ircd-ircu (2.10.12.19+dfsg-3) unstable; urgency=medium

  * Team Upload
  * Rename files under debian/ for debhelper 14/15 compatibility
  * Use tmpfiles to create /var/log/ircd
  * Add debian/clean

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Jun 2026 13:42:37 +0200

ircd-ircu (2.10.12.19+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Ack NMU. Thank you Adrian.
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.4, drop Priority: tag
  * Replace obsolete /var/run with /run
  * Use dh-cruft to register & purge /var/log/ircd/

 -- Alexandre Detiste <tchet@debian.org>  Tue, 12 May 2026 23:05:33 +0200

ircd-ircu (2.10.12.19+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: libcrypt-dev. (Closes: #1107031)

 -- Adrian Bunk <bunk@debian.org>  Wed, 17 Dec 2025 13:47:38 +0200

ircd-ircu (2.10.12.19+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of Package Salvage team
    Closes: #1082959
  * New upstream version
    Closes: #524197, #545121
  * Add Homepage
  * Add watch file.  Exclusion of RFC files via Files-Excluded
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)

  [ наб ]
  * d/control: R-R-R: binary-targets
  * Unify ChangeLog.1[21] for dh_installchangelogs
  * Pre-Depends: ${misc:Pre-Depends}
  * debian/ircd-ircu.lintian-overrides: remove
  * lintian depends-on-obsolete-package Depends: lsb-base
  * d/ircd-ircu.service: add (Closes: #1039242)
  * ./configure --with-maxcon=262140

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 19 Oct 2024 22:35:00 +0200

ircd-ircu (2.10.12.10.dfsg1-3) unstable; urgency=medium

  * debian/patches/04_reproducible.patch: Apply patch by Chris Lamb to
    make build reproducible (Closes: #835130).

 -- Martin Gerhard Loschwitz <madkiss@debian.org>  Fri, 24 Mar 2017 08:05:44 +0000

ircd-ircu (2.10.12.10.dfsg1-2) unstable; urgency=medium

  * Acknowledging the previous NMU -- thanks!
  * debian/{rules,control,compat}: Reworked the package to use Debhelper 9
  * debian/source/format: Switched to 3.0 Quilt format (Closes: #669906)
  * debian/copyright: Added machine-readable copyright file
  * debian/patches/03_fix_ipv6.patch: Patch by Andrew McMillan to fix the
    incorrect masking of IPv6 addresses (Closes: #481010)
  * debian/control: Build-Depend on libfl-dev for upcoming changes to
    the flex packaging (Closes: #846431)
  * debian/docs: Do no longer install pre-historic changelogs that are
    not relevant anymore

 -- Martin Gerhard Loschwitz <madkiss@debian.org>  Thu, 01 Dec 2016 09:26:50 +0000

ircd-ircu (2.10.12.10.dfsg1-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Thomas Goirand ]
  * Fixes handling of /var/run/ircd life cycle (Closes: #689893, LP: #369115).

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 05 Nov 2012 20:04:25 +0100

ircd-ircu (2.10.12.10.dfsg1-1) unstable; urgency=low

  * The "Omertà" release
  * Acknowledging previous NMUs - thank you! (Closes: #254165, #370046, #365195)
  * New upstream version (Closes: #299264)
  * Fixing several security problems -- CVE-2007-4404 to CVE-2007-4411 (Closes: #439314)
  * Adding the INSTALL file to the package (Closes: #276050)
  * Fix the preinst-script to not bail out on directorys in /etc/ircd (Closes: #370522)
  * Fix the preinst-script to check for the existance of /etc/ircd/bak (Closes: #370521)
  * The typo in the description is fixed by now (Closes: #177733)
  * Adding delay in the init-script to give ircd a chance to restart (Closes: #298631)
  * Removed debian/02_s390_alpha_fix.dpatch -- these changes have gone into upstream now
  * Added flex and yacc to the Build-Dependencies as it's necessary now
  * No longer install exaconf and Configure.help in debian/rules as they are gone
  * More changes in debian/docs to reflect recent upstream changes
  * Removed the chkconf-manpage as chkconf is gone in upstream
  * Added debian/compat, bumped the debhelper build dependency to v5
  * Added an LSB-section to the init script
  * Added an overrides-file for lintian
  * Updated the Standards-Version to 3.7.2.2
  * Removed the oper.motd and remote.motd files
  * Added a README.Debian file containing information about the configuration changes

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 18 Sep 2007 20:00:00 +0200

ircd-ircu (2.10.11.04.dfsg1-0.2) unstable; urgency=low

  * NMU.
  * Fix configure.in to make it build on amd64 (Closes: #254165)
  * Regenerate configure script.

 -- Frederik SchÃ¼ler <fs@debian.org>  Fri,  2 Jun 2006 21:46:55 +0000

ircd-ircu (2.10.11.04.dfsg1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rerepackage upstream tarball without RFC (Closes: #365195)
  * Update FSF address
  * Convert changelog to UTF-8

 -- Julien Danjou <acid@debian.org>  Fri,  2 Jun 2006 15:14:47 +0200

ircd-ircu (2.10.11.04-3) unstable; urgency=low

  * debian/preinst: Made it look a bit nicer
  * debian/patches/02_s390_alpha_fix.dpatch: Fix FTBFS on s390 and alpha

 -- Martin Loschwitz <madkiss@debian.org>  Sat, 23 Feb 2003 14:49:00 +0100

ircd-ircu (2.10.11.04-2) unstable; urgency=low

  * debian/control: Add missing build dependency for dpatch

 -- Martin Loschwitz <madkiss@madkiss.org>  Wed, 26 Feb 2003 13:54:00 +0100

ircd-ircu (2.10.11.04-1) unstable; urgency=low

  * debian/changelog: New upstream version
  * debian/control: Updated Standards-Version
  * debian/control: Changed Maintainer E-Mail address
  * debian/control: Build-Depend on dpatch
  * debian/control: Remove gcc-3.2 specific stuff
  * debian/rules: Fix noopt rules
  * debian/rules: Use the files from dpatch package
  * debian/rules: Increased DH_COMPAT to 4
  * debian/rules: Some other small cleanups

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 25 Feb 2002 19:00:00 +0100

ircd-ircu (2.10.11.02+cvs.20021101-1) unstable; urgency=low

  * debian/rules: We use dpatch to handle patches now
  * debian/rules: Use gcc-3.2 as standard
  * debian/control: Added build-dependency for gcc-3.2
  * debian/changelog: New upstream version
  * debian/control: renamed package to ircd-ircu (Closes: #166644)
  * debian/control: Updated Standards-Version
  * debian/config: removed debconf-note
  * debian/rules: different cleanups
  * debian/{postinst,preinst} removed
  * various other changes and updates
  * fixed some more errors found by Gergely Nagy

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 01 Nov 2002 10:53:00 +0100

ircd (2.10.10.pl18-4) unstable; urgency=high

  * Removed Conflicts: and added Replaces: to debian/rules
  * Removed irc.1.gz (Closes: #144549)
  * Changed init-file to check for ircd-binary.

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 26 Apr 2002 20:15:00 +0200

ircd (2.10.10.pl18-3) unstable; urgency=high

  * Added Conflicts: for ircd-dalnet (Closes: #144549)

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 26 Apr 2002 16:05:00 +0200

ircd (2.10.10.pl18-2) unstable; urgency=medium

  * Added debconf note about dancer-ircd
  * Package is ready for woody now (Closes: #143794)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 21 Apr 2002 19:40:00 +0200

ircd (2.10.10.pl18-1) unstable; urgency=low

  * New Maintainer
  * Removed dancer-ircd from package (Closes: #141241)
  * Repackaging (Closes: #84567, #121042, #121041, #63280, #61336)
  * new upstream version (Closes: #128180, #142353, #58757)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 13 Apr 2002 10:29:00 +0200

ircd (2.10.07-1.1) unstable; urgency=low
  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103152

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

ircd (2.10.07-1) unstable; urgency=low

  * New upstream version.
  * Removed setgidness, closes: #37103, #42939, #52763.
  * Fixed inability to install if /etc/ircd doesn't exist, closes: #52327.

 -- Johnie Ingram <johnie@debian.org>  Fri, 17 Dec 1999 19:19:02 -0600

ircd (2.10.06-2) unstable; urgency=low

  * Really fix sgidness, closes: #37103, #42939.  Hi Ian.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 13:37:53 -0500

ircd (2.10.06-1) unstable; urgency=low

  * New upstream version.
  * Updated to Standards-Version 3.0.1.0
  * Broke linpeople patches down further, added support for a local
    ircd.conf file and shorter resolve timeout.
  * ircd is no longer sgid root, closes: #37103, #42939.
  * dancerconfig no longer tries to chown and chgrp, closes: #42232.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 12:58:39 -0500

ircd (2.10.05-4) unstable; urgency=low

  * Changed CHANNELLEN in dancer from 200 to 60 to match network policy.
  * Removed typo in postint, again closes: #36382, #36428.

 -- Johnie Ingram <johnie@debian.org>  Wed, 28 Apr 1999 04:34:17 -0400

ircd (2.10.05-3) unstable; urgency=low

  * Fixed sed in postinst with perl magic from Roderick Schertler, closes:
    #36382, #36428.

 -- Johnie Ingram <johnie@debian.org>  Tue, 27 Apr 1999 11:33:06 -0400

ircd (2.10.05-2) unstable; urgency=low

  * Moved socket in default conf from /tmp to /var/run, closes: #35243.
  * Added internal target for building libc5 dancer binary.

 -- Johnie Ingram <johnie@debian.org>  Mon, 12 Apr 1999 06:25:27 -0400

ircd (2.10.05-1) unstable; urgency=low

  * New upstream version (2.10.05.18.(ipcheck4-5)).
  * Updated config file to add separate port (8005) for server-only
    connects, closes: #32845.
  * Fixed docs in default MOTD, and made it world-readable, closes:
    #34347.

 -- Johnie Ingram <johnie@debian.org>  Sun, 21 Mar 1999 17:22:00 -0500

ircd (2.10.04+-3) unstable; urgency=low

  * Fixed SPATH for dancer, closes: #32760.
  * New upstream version (CVS), closes: #31775, #30504.

 -- Johnie Ingram <johnie@debian.org>  Thu,  4 Feb 1999 13:26:15 -0500

ircd (2.10.04+-2) unstable; urgency=low

  * New upstream version (CVS), closes: #31775, #30504.
  * Lets see of this works shall we ----^

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Jan 1999 14:55:24 -0500

ircd (2.10.04+-1) unstable; urgency=low

  * Used -r for directory delete in postrm (#31775).
  * New upstream version ircu2.10.04+.resolv7-9.nodns.egcs.config17-18.nmt.doc6-7.msgflags2-3.chroot1-2.egcs1-2.nip.tok.pten.tlim2-3.illegal.tlim3-4.admin.admin1-2.upper3-4.upper4-5.whisper2-3.egcs2-3.egcs3-4.ipcheck.cpp.cpp1-2.acr1.ipcheck1-2.gipl.masks.full.config18-19.modeless5-7.fdsetsize.doc7-8.url.cpp2-3.collapse.space.hashv.findname.findnickserver.inthashnick.nousertarget.findmatchserver.netbsd.hashv1-2.config19-20.common.isperson.config20-21.naming.cpp3-4.bursthack2.modeless7-8.charattribs.newcommon.tolower.toupper.ctype.match1.mycmp.newcollapse.matchexec.newhash.mmexec.newcollapse1-2.matchexec1-2.usernames.newhash1-2.nickjupes2.match1-2.settime3-4.newcommon1-3.forceinline.newcommon3-5.newcommon5-6.usernames1-2.forceinline1-2.getshort.tlim4-5.misc2-3.forceinline2-3.dead2-3.config21-22.nomotd.kcq.rpl272.findnuser.nnn.matchcompip (CVS).
  * Removed possible bashism in postrm.
  * For dancer: added patch, changed compiler to gcc and removed -pipe
    from CFLAGS for Solaris compatibility.

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Jan 1999 04:59:09 -0500

ircd (2.10.04-4) unstable; urgency=low

  * Eliminated duplication of file TODO (#28820) by removing both files.
  * Changed location of pid file so ircd can write to it (#28857).
  * Fixed in previous versions: changes /etc/services (#28821), missing
    manpage (#28857), segfault on /admin (30504, kept open for
    documentation until slink release).

 -- Johnie Ingram <johnie@debian.org>  Sat, 19 Dec 1998 23:54:19 -0500

ircd (2.10.04-3) unstable; urgency=low

  * Updated to Standards-Version 2.5.0.0.
  * Added expanded T-line syntax to dancer -- it can match either the
    client host or the servers virtual interface IP.  Inside the MOTD, a ^
    at a line start means PRIVMSG and > means NOTICE.

 -- Johnie Ingram <johnie@debian.org>  Sun, 29 Nov 1998 22:07:30 -0500

ircd (2.10.04-2) unstable; urgency=low

  * Configured for correct SPATH (#28057).
  * Installed correct manpage (ircd.8, not irc.1) and remote.motd
    (#27985).

 -- Johnie Ingram <johnie@debian.org>  Tue, 13 Oct 1998 14:31:36 -0400

ircd (2.10.04-1) unstable; urgency=low

  * Logfiles are removed when ircd is purged (#27339).
  * New upstream version (CVS): ircu2.10.04+.resolv7-9.nodns.egcs.
  config17-18.nmt.doc6-7.msgflags2-3.chroot1-2.egcs1-2.nip.tok.pten.
  tlim2-3.illegal.tlim3-4.admin.admin1-2.upper3-4.upper4-5.whisper2-3.
  egcs2-3.egcs3-4.ipcheck.cpp.cpp1-2.acr1.ipcheck1-2.gipl.masks.full.
  config18-19.modeless5-7.fdsetsize.
  * Improved debhelperization in debian/rules file.
  * Updated to Standards-Version 2.4.1.4.
  * Beta linpeople patches removed (web interface, zlib compression).
  * Closes #23951, a resubmission of #19684: postinst doesn't check for
    errors.
  * Updated documentation.

 -- Johnie Ingram <johnie@debian.org>  Tue, 13 Oct 1998 13:52:04 -0400

ircd (2.10.03-8) unstable; urgency=low

  * Added tweak from veneficus to fix bitchx /notify function.

 -- Johnie Ingram <johnie@debian.org>  Fri, 31 Jul 1998 23:00:08 -0400

ircd (2.10.03-7) unstable; urgency=low

  * Updated to .dead.whox.dead1-2.oprem.whox1-2.zombie.
  * Added moderated channel feature suggested by Teknix and lilo
    for the IRC forum with Eric S. Raymond (joins and parts are not seen,
    nick changes are restricted).
  * Fixed bug in services patch where chanops were not always accorded
    chanop privileges.
  * Activated beta version of -DWEB_INTERFACE

 -- Johnie Ingram <johnie@debian.org>  Sat,  9 May 1998 10:09:32 -0400

ircd (2.10.03-6) unstable; urgency=low

  * Restored debian changelog.

 -- Johnie Ingram <johnie@debian.org>  Thu,  7 May 1998 15:51:39 -0400

ircd (2.10.03-5) frozen unstable; urgency=low

  * Fixed typo in postinst file that could cause it to fail if debian/tmp
    was not in the current directory.  :-)

 -- Johnie Ingram <johnie@debian.org>  Thu,  7 May 1998 12:17:15 -0400

ircd (2.10.03-4) frozen unstable; urgency=low, closes=21748 19684

  * Updated to .dead.whox.dead1-2.oprem.whox1-2.
  * Rewrote services.hack and gline.hack to fix outstanding dancer bugs.
  * Install script uses adduser --system to create missing irc user
    (grave Bug #21748).
  * Closes important Bug #19684, postinst doesn't check for errors.
  * In the dancer binary used at irc.debian.org:
      * services patch no longer treats ircops as servers.
      * GLINE and server-set TOPIC commands now work correctly.
  * Also fixed since 2.10.02-1: 18169, 19577, 19613, 19684, 18169; see
    also dancer bugfixes in 2.10.03-1 changelog entry.
  * Updated to Standards-Version 2.4.1.0.

 -- Johnie Ingram <johnie@debian.org>  Thu,  7 May 1998 05:29:36 -0400

ircd (2.10.03-3) unstable; urgency=low, closes=19577 19613 18169 19684

  * Updated to ircu2.10.03+.gpl.lagtime.chcnt.desynch.desynch1-2.desynch2-3.indent6-7.indent7-8.upper2-3.dead.
  * Note the desynch patches add a new umode +g for seeing HACK notices.
  * Dancer patches regularized and updated for indent6-7.patch.
  * Version string reported correctly again.
  * Closes missing ircd.8 bugs (#19577, #19613), postinst bug (#19577),
    and chown bug (#18169), fixed in 2.10.03-1 in hamm.

 -- Johnie Ingram <johnie@debian.org>  Fri, 24 Apr 1998 04:54:42 -0400

ircd (2.10.03-2) unstable; urgency=low

  * Updated to 2.10.03.GPL.lagtime.chcnt.
  * Applied topic patch from SÂÃ¸ren A. Liby Clausen (salc@bgnett.no) so
    dancer servers may set topics.

 -- Johnie Ingram <johnie@debian.org>  Tue, 21 Apr 1998 07:24:44 -0400

ircd (2.10.03-1) unstable; urgency=low

  * New bugfix release, fixing WHOIS and WALLCHOPS commands and updating
    documentation.
  * The post-install script now uses set -e (important, #19684).
  * HTML release notes, including docs for GLINE and the extended WHO
    command, are now included.
  * Corrected address of FSF in copyright file.
  * Now includes manpage for ircd.8 (#19577, #19613).
  * Configuration script now asks to run update-passwd if irc user is
    missing or invalid, and does not fail if this is not done (#18169).
  * In the dancer binary used at irc.debian.org:
      * Now compiles on freebsd even when virtual hosting is enabled.
      * The AWAY command does not send the RPL_NOWAWAY if the user is
        already away, to compensate for buggy IRC scripts.
      * The ISON command (used by bitchx /notify) does not send the
        RPL_ISON if none of the specified nicks is on.
      * IRC Operators can now be killed.
      * The channel service (+k) flag can be set as an optional umode by
        global Operators, making them unkillable again.
      * Two new umode flags +f and +c are now accepted and noted, but
        otherwise ignored.
      * Maximum simultaneous channels per user is doubled to 20.
      * Minor tweaks in the friendly messages.
  * Extended the extended description text.
  * Default organization is now listed as the World Domination Project.

 -- Johnie Ingram <johnie@debian.org>  Mon, 13 Apr 1998 00:33:23 -0400

ircd (2.10.02-2) linpeople; urgency=low

  * Added official modeless3-4, config16-17, who6-8, resolv6-7, whois3-4,
    tlim1-2, and virtual_host4-5 patches, fixing /whois support.
  * Corrected address of FSF in copyright file.
  * Added manpage for ircd.8.

 -- Johnie Ingram <johnie@debian.org>  Sun,  5 Apr 1998 01:06:50 -0500

ircd (2.10.02-1) unstable; urgency=low

  * New upstream version, released hours before freeze of Debian 2.0.

 -- Johnie Ingram <johnie@debian.org>  Sun, 15 Mar 1998 13:53:32 -0500

ircd (2.10.01-4) unstable; urgency=low, closes=18140

  * PID file is now in correct place (#18140).
  * Added official kn2-3, config13-14, resolv4, invite2-3, partmsg,
    whois2-3, virtual_host3-4, and TS10 patches.
  * Dancer binary (used for irc.debian.org) now shows full remote motd,
    notifies opers of client connects and disconnects, and handles
    virtualhost ircd setups.
  * It is no longer possible to GLINE *@* with dancer (long story).
  * Full version is now ircu2.10.01+.config6-7.config7-8.lgline3.iwho.limit.glibc.motdcache2.trace.whois1-2.config8-9.statsw.sprintf2-3.msgtree2.memleak1-2.msgtree2-3.gline8-9.gline9-10.invite2.rbr.stats.numclients.whisper.whisper1-2.stats1-2.nokick1-2.chroot.config9-11.snomask7-8.limit1-3.userip1-3.userip3-4.config11-12.config12-13.umode2-3.akillsbt.who4-5.kn.kn1-2.freebsdcore2.msgtree3-5.y2k.glibc1-2.rmfunc.msgflags2.who5-6.nickchange2.glibc2-3.modeless3.kn2-3.config13-14.resolv4.invite2-3.partmsg.whois2-3.virtual_host3-4.TS10.
  * Lets hope 2.10.02 is released soon -- this is getting silly.

 -- Johnie Ingram <johnie@debian.org>  Sun,  8 Mar 1998 01:40:58 -0500

ircd (2.10.01-3) unstable; urgency=low

  * Added files describing new features of 2.10.x and 2.10.01.
  * In anticipation of 2.10.02 release, updated to patchlevel ircu2.10.01+.config6-7.config7-8.lgline3.iwho.limit.glibc.motdcache2.trace.whois1-2.config8-9.statsw.sprintf2-3.msgtree2.memleak1-2.msgtree2-3.gline8-9.gline9-10.invite2.rbr.stats.numclients.whisper.whisper1-2.stats1-2.nokick1-2.chroot.config9-11.snomask7-8.limit1-3.userip1-3.userip3-4.config11-12.config12-13.umode2-3.akillsbt.who4-5.kn.kn1-2.freebsdcore2.msgtree3-5.y2k.glibc1-2.rmfunc.msgflags2.who5-6.nickchange2.glibc2-3.modeless3
  * Greater use of debhelper.
  * Added ircd "dancer" binary customized for smaller networks and for running as a
    normal user: adds friendlymsg, killop, chinitdir, services, bigtopic,
    nickdelay, and longnick hacks.
  * Removed unnecessary dependency on ncurses.
  * Updated to Standards-Version 2.4.0.0.

 -- Johnie Ingram <johnie@debian.org>  Mon,  9 Feb 1998 10:34:18 -0500

ircd (2.10.01-2) unstable; urgency=low

  * Compiled for sparc architecture and reloaded to fix ftp site problem
    (upstream source had disappeared).
  * Added server numeric allocation docs.

 -- Johnie Ingram <johnie@debian.org>  Tue, 23 Dec 1997 12:33:40 -0500

ircd (2.10.01-1) unstable; urgency=low, closes=16228

  * New upstream release, fixing core dump problem (#16228).
  * Interserver link passwords stored in encrypted form.
  * Expanded detail in copyright file.
  * Added documentation on the settings used to compile ircd.

 -- Johnie Ingram <johnie@debian.org>  Tue, 23 Dec 1997 12:08:55 -0500

ircd (2.9.32-5) unstable; urgency=low

  * Corrected ownership and permissions on /etc/ircd directory.

 -- Johnie Ingram <johnie@debian.org>  Mon, 10 Nov 1997 13:53:00 -0500

ircd (2.9.32-4) unstable; urgency=low, closes=12837 11831 11837 11822 11976 7591

  * New maintainer.
  * Compiled with libc6.
  * Installation script security hole closed (#12837).
  * Closed #7591, a manifestation of the '/' separator Bug 11822.
  * Closes #11822, #11831, #11837 (see below), and #11976 (non-maintainer patch).

 -- Johnie Ingram <johnie@debian.org>  Mon, 10 Nov 1997 13:24:22 -0500

ircd (2.9.32-3.1) stable unstable; urgency=low

  * Non-maintainer release.
  * Fixed posinst not to use /tmp/$$ which is a security hole [#11764]
  * Fixed permissions on /etc/ircd so that it isn't world readable [#11831, #11837 (1/2)].
  * Fixed inetd.conf so that ircd is run as irc and not as root [#11831, #11837 (2/2)].
  * Fixed postinst not to use '/' as a seperator for sed since that character could well
    be in /etc/news/organization [#11822]
  * Adapted debian/rules to build with altgcc (libc5) so that package can go into stable.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Wed,  6 Aug 1997 20:25:23 +0200

ircd (2.9.32-3) stable unstable; urgency=low

  * Wrong userid/groupid on ircd binary
  * #6186 only one connection allowed
  * Newest debmake
  * #6505 postinst bug

 -- Christoph Lameter <clameter@debian.org>  Sat, 8 Feb 1997 19:53:22 -0800

ircd (2.9.32-2) stable unstable; urgency=low

  * static UID/GID

 -- Christoph Lameter <clameter@debian.org>  Thu, 21 Nov 1996 12:06:41 -0800

ircd (2.9.32-1) unstable; urgency=low

  * Fixed hostname call in postinst and lots of other fixes
  * updated to newest standards. debmake etc
  * newest release

 -- Christoph Lameter <clameter@debian.org>  Thu, 31 Oct 1996 15:44:53 -0800

ircd (2.8.21-3) unstable; urgency=low

  * Permissions for docs fixed. More dependencies.

 -- Christoph Lameter <clameter@debian.org>  Fri, 20 Sep 1996 15:37:25 +0100

ircd (2.8.21-2) unstable; urgency=low

  * Initial Release with standards 2.0.1.0

 -- Christoph Lameter <clameter@waterf.org>  Thu, 01 Sep 1996 15:37:25 +0100
